summaryrefslogtreecommitdiffabout
path: root/delta.jscad
Side-by-side diff
Diffstat (limited to 'delta.jscad') (more/less context) (show whitespace changes)
-rw-r--r--delta.jscad2
1 files changed, 1 insertions, 1 deletions
diff --git a/delta.jscad b/delta.jscad
index 156e704..24c1c7e 100644
--- a/delta.jscad
+++ b/delta.jscad
@@ -1,53 +1,53 @@
var PRINT = {
layer_height: 0.2,
extrusion_width: 0.4,
- fit_tolerance: .2, slide_tolerance: .4, play_tolerance: .6
+ fit_tolerance: .2, slide_tolerance: .4, play_tolerance: .6, screw_tolerance: .3
};
var CONFIG = {
extrusion: {
w: 20, slotdepth: 6
},
base: {
el: 240, // side extrusion length
sl: 240+2*70, // triangle side length
gap: 9 // vertical gap between side extrusions
},
column: {
h: 600 // column height
},
heatbed: {
r: 220/2, // heatbed radius
sr: 220/2-4.5, // radius of the screwholes circle
h: 3+1.5 // thickness (including insulation)
},
glass: {
r: 195/2, // glass radius
h: 3 // glass thickness
},
duet: {
pcb_size: { x: 124, y: 100, z: 1 },
hole_spacing: { x: 115, y: 92 },
h: 30
},
foot: {
d: 20*Math.sqrt(2), h: 30,
bolt: { d:5, l: 19, hd: 10 },
margin: 2.5,
nut: { d: 8.6 /* TODO: */, h: 3.5 },
shell: 4,
zscalefactor: 1.6,
foot: { ho: 2.5, hi: 5 }
},
duetholder: {
bolt: { d: 3, l: 10, head: { d: 5.33, h: 3 } },
margin: 3,
s: 2.5
},
hotend: {
h: 62.4, // full assembly height
groove: { d:12, h:6 }, // grove diameter and height
ungroove: { d:16, above:3.7, below: 3+4 }
},
effector: {